[Android] compile: move ndk detection up
Thomas Guillem
git at videolan.org
Fri Mar 10 14:03:35 CET 2017
vlc-android | branch: master | Thomas Guillem <thomas at gllm.fr> | Thu Mar 9 10:56:18 2017 +0100| [bda4beabc0d097fc94a53a72772e5eb762bc11d5] | committer: Thomas Guillem
compile: move ndk detection up
> https://code.videolan.org/videolan/vlc-android/commit/bda4beabc0d097fc94a53a72772e5eb762bc11d5
---
compile-libvlc.sh | 28 ++++++++++++++--------------
1 file changed, 14 insertions(+), 14 deletions(-)
diff --git a/compile-libvlc.sh b/compile-libvlc.sh
index 8c0b8d7..efd1b72 100755
--- a/compile-libvlc.sh
+++ b/compile-libvlc.sh
@@ -231,6 +231,20 @@ VLC_MODULE_BLACKLIST="
.dummy
"
+# try to detect NDK version
+REL=$(grep -o '^Pkg.Revision.*[0-9]*.*' $ANDROID_NDK/source.properties |cut -d " " -f 3 | cut -d "." -f 1)
+
+if [ "$REL" -ge 13 ]; then
+ if [ "${HAVE_64}" = 1 ];then
+ ANDROID_API=21
+ else
+ ANDROID_API=9
+ fi
+else
+ echo "You need the NDKv13 or later"
+ exit 1
+fi
+
#########
# FLAGS #
#########
@@ -275,20 +289,6 @@ else
exit 2
fi
-# try to detect NDK version
-REL=$(grep -o '^Pkg.Revision.*[0-9]*.*' $ANDROID_NDK/source.properties |cut -d " " -f 3 | cut -d "." -f 1)
-
-if [ "$REL" -ge 13 ]; then
- if [ "${HAVE_64}" = 1 ];then
- ANDROID_API=21
- else
- ANDROID_API=9
- fi
-else
- echo "You need the NDKv13 or later"
- exit 1
-fi
-
NDK_FORCE_ARG=
NDK_TOOLCHAIN_DIR=${PWD}/toolchains/${PLATFORM_SHORT_ARCH}
NDK_TOOLCHAIN_PROPS=${NDK_TOOLCHAIN_DIR}/source.properties
More information about the Android
mailing list